Subject: Re: bug#71117: 30.0.50; output of describe-function

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 May 2024 14:38:49 +0300

> From: Kévin Le Gouguec <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Wed, 29 May 2024 00:04:26 +0200
> 
> I don't actually have concrete examples where my allegedly-not-so-smart
> serving suggestion might fail 😉 The best I can come up with are
> what-ifs, e.g. "what if a user advises describe-* functions to rename
> *Help* buffers to something non-standard like *Help <SYM>*";

First, AFAICT describe-* functions don't know about the name of the
buffer.  So advising them will not affect the buffer name.

Second, if someone advises the functions which do know about that,
they have an uphill battle to fight, and IMNSHO they get what they
deserve.

Last, but not least, if we want to be holier that the Pope, we can use
the function help-buffer to get at the buffer, whatever its name.